searchNodes=[{"doc":"Read temperature and pressure from a Bosch BM*280 sensorsHere's an example use:iex&gt; {:ok, bmp} = BMP280.start_link(bus_name: &quot;i2c-1&quot;, bus_address: 0x77) {:ok, #PID&lt;0.29929.0&gt;} iex&gt; BMP280.read(bmp) {:ok, %BMP280.Measurement{ altitude_m: 13.842046523689644, dew_point_c: 18.438691684856007, humidity_rh: 51.59938493850065, pressure_pa: 99836.02154563366, temperature_c: 29.444089211523533 }}Depending on your hardware configuration, you may need to modify the call to BMP280.start_link/1. See BMP280.options/0 for parameters.All measurements are reported in SI units.The altitude measurement is computed from the measured barometric pressure. To be accurate, it requires either the current sea level pressure or the current altitude. Here's an example:iex&gt; BMP280.force_altitude(bmp, 100) :okSubsequent altitude reports should be more accurate until the weather changes.","ref":"BMP280.html","title":"BMP280","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"BMP280.html#child_spec/1","title":"BMP280.child_spec/1","type":"function"},{"doc":"Detect the type of sensor that is located at the I2C addressIf the sensor is a known BMP280 or BME280 the response will either contain :bmp280 or :bme280. If the sensor does not report back that it is one of those two types of sensors the return value will contain the id value that was reported back form the sensor.The bus address is likely going to be 0x77 (the default) or 0x76.","ref":"BMP280.html#detect/2","title":"BMP280.detect/2","type":"function"},{"doc":"Force the altitude to a known valueAltitude calculations depend on the accuracy of the sea level pressure estimate. Since the sea level pressure changes based on the weather, it needs to be kept up to date or altitude measurements can be pretty far off. Another way to set the sea level pressure is to report a known altitude. Call this function with the current altitude in meters.This function returns an error if the attempt to sample the current barometric pressure fails.","ref":"BMP280.html#force_altitude/2","title":"BMP280.force_altitude/2","type":"function"},{"doc":"Read the current temperature, pressure, altitudeAn error is return if the I2C transactions fail.","ref":"BMP280.html#read/1","title":"BMP280.read/1","type":"function"},{"doc":"Return the type of sensorThis function returns the cached result of reading the ID register. if the part is recognized. If not, it returns the integer read.","ref":"BMP280.html#sensor_type/1","title":"BMP280.sensor_type/1","type":"function"},{"doc":"Start a new GenServer for interacting with a BMP280Normally, you'll want to pass the :bus_name option to specify the I2C bus going to the BMP280.","ref":"BMP280.html#start_link/1","title":"BMP280.start_link/1","type":"function"},{"doc":"Update the sea level pressure estimateThe sea level pressure should be specified in Pascals. The estimate is used for altitude calculations.","ref":"BMP280.html#update_sea_level_pressure/2","title":"BMP280.update_sea_level_pressure/2","type":"function"},{"doc":"BMP280 GenServer start_link options:name - a name for the GenServer:bus_name - which I2C bus to use (e.g., &quot;i2c-1&quot;):bus_address - the address of the BMP280 (defaults to 0x77):sea_level_pa - a starting estimate for the sea level pressure in Pascals","ref":"BMP280.html#t:options/0","title":"BMP280.options/0","type":"type"},{"doc":"The type of sensor in use.","ref":"BMP280.html#t:sensor_type/0","title":"BMP280.sensor_type/0","type":"type"},{"doc":"One sensor measurement reportThe temperature, pressure and relative humidity measurements are computed directly from the sensor. All other values are derived.","ref":"BMP280.Measurement.html","title":"BMP280.Measurement","type":"module"},{"doc":"","ref":"BMP280.Measurement.html#t:t/0","title":"BMP280.Measurement.t/0","type":"type"},{"doc":"BMP280 Read temperature and pressure from Bosch BMP280, BME280, and BME680 sensors in Elixir.","ref":"readme.html","title":"BMP280","type":"extras"},{"doc":"Here's an example use:iex&gt; {:ok, bmp} = BMP280.start_link(bus_name: &quot;i2c-1&quot;, bus_address: 0x77) {:ok, #PID&lt;0.29929.0&gt;} iex&gt; BMP280.read(bmp) {:ok, %BMP280.Measurement{ altitude_m: 13.842046523689644, dew_point_c: 18.438691684856007, humidity_rh: 51.59938493850065, pressure_pa: 99836.02154563366, temperature_c: 29.444089211523533 }}Depending on your hardware configuration, you may need to modify the call to BMP280.start_link/1. See BMP280.options/0 for parameters.All measurements are reported in SI units.The altitude measurement is computed from the measured barometric pressure. To be accurate, it requires either the current sea level pressure or the current altitude. Here's an example:iex&gt; BMP280.force_altitude(bmp, 100) :okSubsequent altitude reports should be more accurate until the weather changes.","ref":"readme.html#usage","title":"BMP280 - Usage","type":"extras"},{"doc":"Other Bosch sensors tend to look similar, but they have enough differences that they do not work yet. If you're using one of them, please help me by either verifying that they work or adding support for them.","ref":"readme.html#support-for-other-bosch-barometric-sensors","title":"BMP280 - Support for other Bosch barometric sensors","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"New featuresSupport temperature, humidity and pressure measurements on the BME680. VOC measurements are not supported yet.","ref":"changelog.html#v0-2-3","title":"Changelog - v0.2.3","type":"extras"},{"doc":"Note: This release removes the non-SI conversion helper functions. They were inconsistently defined, and it seems better for some other library to care more about conversions.New featuresAdd dew point approximation","ref":"changelog.html#v0-2-2","title":"Changelog - v0.2.2","type":"extras"},{"doc":"Bug fixesFix BMP280.detect/2 so that it only probes one I2C bus address.","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"New featuresAdd support for the BME280 and for reading relative humidity measurements from it","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"FixesFixed :bus_address parameter. It was incorrectly referred to as :address when used.","ref":"changelog.html#v0-1-1","title":"Changelog - v0.1.1","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]